跳转到内容
Try Gitea Cloud ☁️ for 30 days → Accelerate your Development & Deploys!
Support
This is the documentation of 25.6.2, which is no longer the latest release. See the latest release.

Get a repo-level variable

GET
/repos/{owner}/{repo}/actions/variables/{variablename}
curl --request GET \
--url https://gitea.example.com/api/v1/repos/example/example/actions/variables/example \
--header 'Authorization: Basic <credentials>'
owner
required
string

Owner of the repo

repo
required
string

Name of the repository

variablename
required
string

Name of the variable

ActionVariable

Media typeapplication/json

ActionVariable return value of the query API

object
data

The value of the variable

string
description

The description of the variable

string
name

The name of the variable

string
owner_id

The owner to which the variable belongs

integer format: int64
repo_id

The repository to which the variable belongs

integer format: int64
Examplegenerated
{
"data": "example",
"description": "example",
"name": "example",
"owner_id": 1,
"repo_id": 1
}

APIError is error format response

Media typeapplication/json
message
string
url
string

APINotFound is a not found empty response

Media typeapplication/json